DeluxHostAPI Reference
Orders & renewals

List available plan changes

GET
/v1/orders/{id}/plan-options

Authorization

apiToken orders:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: orders:read

Path Parameters

id*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
current*
daysRemaining*number
options*array<>
curl -X GET 'https://api.deluxhost.net/v1/orders/0/plan-options' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "current": {    "productId": 0,    "name": "string",    "priceCents": 0,    "cycle": "string"  },  "daysRemaining": 0,  "options": [    {      "productId": 0,      "slug": "string",      "name": "string",      "priceCents": 0,      "direction": "upgrade",      "creditCents": 0,      "chargeCents": 0,      "diffCents": 0,      "requiresFormat": true    }  ]}